#touch-controls {
    position: absolute;
    bottom: 20px;
    width: 100%;
    display: flex;
    justify-content: space-between;
    padding: 0 20px;
    box-sizing: border-box;
    pointer-events: none; /* No bloquea el canvas */
}

.d-pad, .actions { display: flex; gap: 15px; pointer-events: auto; }

button {
    width: 65px;
    height: 65px;
    background: rgba(255, 255, 255, 0.3);
    border: 3px solid #fff;
    border-radius: 50%;
    color: white;
    font-size: 24px;
    font-weight: bold;
    user-select: none;
    touch-action: manipulation;
}

button:active { background: rgba(255, 255, 255, 0.6); }

#weapon-selector{
    position: absolute; 
    top: 20px; 
    right: 20px;
    pointer-events: auto;
}

#current-weapon-label{
    background: rgba(0, 255, 255, 0.2);
    border-color: #00ffff;
    width: 80px;
    border-radius: 10px;
}

#btn-restart{
    /* display: none; */
    position: absolute;
    top: 10%; 
    left: 50%;
    transform: translate(-50%, -50%);
    padding: 15px 30px;
    font-size: 20px;
    background: #e74c3c; 
    color: white;
    border: 3px solid white; 
    border-radius: 10px;
    z-index: 10; font-family: 'Courier New', Courier, monospace; 
    font-weight: bold; 
    cursor: pointer;

}

/* Ocultar en PC si lo deseas, o dejarlo para pruebas */
@media (pointer: fine) {
    #touch-controls { opacity: 0.5; }
}
